grepc(1)

BEZEICHNUNG
grepc - Finden von Deklarationen, Definitionen und Verwendungen im Quellcode

ÜBERSICHT
grepc [Option …] Muster [Datei …]

BESCHREIBUNG
grepc(1) sucht nach Deklarationen, Definitionen und/oder Verwendungen von Muster in jeder Quell-Datei.

Muster ist ein PCRE-Muster. Es stellt normalerweise einen Kennzeichner dar und die Wortgrenzen werden in den meisten Fällen implizit hinzugefügt.

Falls keine Datei angegeben ist, liest dieses Programm die Standardeingabe. Andernfalls liest es alle angegebenen Dateien und sucht rekursiv in den angegebenen Verzeichnissen, ohne symbolischen Links zu folgen.

OPTIONEN

-A N
    Gibt N Zeilen von nachfolgendem Kontext nach jedem Treffer aus.

-B N
    Gibt N Zeilen von vorangehendem Kontext vor jedem Treffer aus.

-C N
    Gibt N Zeilen an Kontext um jeden Treffer aus.

-c  Gibt keine Treffer aus, sondern gibt deren Gesamtzahl aus.

-h  Unterdrückt das Voranstellen von Dateinamen bei der Ausgabe.

-i  Ignoriert Groß-/Kleinschreibung in Muster.

-l  Unterdrückt die normale Ausgabe; gibt stattdessen den Dateinamen jeder Eingabedatei aus, aus der die Ausgabe normalerweise angegeben worden wäre. Jede Datei wird nur einmal ausgegeben.

-m N
    Stoppt die Verarbeitung nach dem Auffinden von N Treffern.

-n  Gibt vor jeder Zeile die Zeilennummer (gezählt ab 1) innerhalb der aktuellen Eingabedatei aus.

-t Art
    Beschränkt die Suche auf eine bestimmte Code-Art. Diese Option kann mehrfach angegeben werden, um nach verschiedenen Code-Arten zu suchen. Die akzeptablen Werte hängen vom für die Sprache verwandten Treiber ab. Informationen hierzu finden Sie im Standardtreiber grepc_c(1).

WARNUNGEN

  Abstürze
In einigen Fällen könnten interne Aufrufe von pcre2grep(1) nach der Verwendung von zu vielen Ressourcen fehlschlagen. Um das zu beheben, beschränken Sie mit -t die Code-Arten, nach denen gesucht wird.

  Durchsuchbare Dateien
Auf der Befehlszeile angegebene Dateien müssen durchsuchbar sein und sich zweimal öffnen lassen. Falls Sie eine nicht durchsuchbare Datei einlesen müssen, leiten Sie sie auf die Standardeingabe um.

BEISPIELE
    alx@devuan:/usr/lib/gcc$ grepc -n alignof .;
    ./x86_64-linux-gnu/15/include/stdalign.h:33:#define alignof _Alignof

SIEHE AUCH
grepc_c(1), pcre2grep(1), pcre2syntax(3), pcre2pattern(3)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).